# $Revision: 1.14 $, $Date: 2007/01/23 15:47:01 $
%define		mod_name	suid
%define 	apxs		/usr/sbin/apxs1
Summary:	Apache module: execution of scripts under their own uids
Summary(pl):	Modu do apache: wykonywanie skryptw pod wskazanym uidem
Name:		apache1-mod_%{mod_name}
Version:	1.1
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.jdimedia.nl/igmar/mod_%{mod_name}/files/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	1e47d40d8f0404d9faa3040655df44a2
URL:		http://www.jdimedia.nl/igmar/mod_suid/
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_suid <= 1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
Apache module: execution of scripts under their own uids per-vhost.

%description -l pl
Modu do apache: wykonywanie skryptw pod wskazanym uidem per-vhost.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so -lz

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 1.1-1.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc CHANGES.txt README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_suid.spec,v $
Revision 1.14  2007/01/23 15:47:01  glen
- rel 4 (R: apache1(EAPI) instead of apache1)

Revision 1.13  2006/04/14 17:03:25  glen
- use %service

Revision 1.12  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.11  2005/12/28 20:58:47  glen
- fix wrong sysconfdir; rel 3

Revision 1.10  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.9  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.8  2005/02/15 12:03:06  glen
- rel 2; STBR

Revision 1.7  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.6  2004/09/19 19:04:20  radek
- s/apache/apache1/; waiting for server-side cp

Revision 1.5  2003/08/06 16:12:32  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.4  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/05/14 22:34:54  qboosh
- typo

Revision 1.1  2003/05/14 19:24:25  misi3k
- initial release
